#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA1,0x8F,0x8C,0xAF,0x81,0xDE,0xEB,0xBA,0x2E,0x17,0x1C,0x55,
		0x1A,0xCB,0xC2,0x47,0x9C,0x64,0xD6,0xB2,0xEB,0xDD,0xB0,0xAF,
		0x8E,0x4E,0xDC,0xF0,0x81,0x99,0xCB,0xA5,0x46,0x74,0x68,0x28,
		0x0F,0xCA,0xF0,0x59,0xFF,0xD8,0x04,0x90,0x76,0xC2,0xB3,0x15,
		0xAC,0x61,0xCD,0xFF,0x15,0x15,0x16,0x01,0x12,0x96,0x6D,0x51,
		0xA5,0x27,0x7F,0xAB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
